Fetches the latest Apple OS version for a specific Apple device model.
GET
/appleosversion/{appleDeviceModel}
const url = 'https://api.tophhie.cloud/appleosversion/example?currentOSVersion=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tophhie.cloud/appleosversion/example?currentOSVersion='Queries Apple’s public device management feed (gdmf.apple.com) and returns the highest available OS version for the given hardware identifier. Optionally compares against a supplied version to indicate whether an update is required.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”appleDeviceModel
required
The Apple hardware identifier. E.g. iPhone17,1.
string
The Apple hardware identifier. E.g. iPhone17,1.
Query Parameters
Section titled “Query Parameters”currentOSVersion
The Apple OS version to compare against. If the latest version is higher, updateRequired will be true.
string
The Apple OS version to compare against. If the latest version is higher, updateRequired will be true.
Responses
Section titled “Responses”OS version information found.
Media typeapplication/json
object
appleDeviceModel
required
string
os
required
string
latestVersion
required
string
updatePosted
required
string
updateRequired
required
boolean | null
errorMessage
required
string | null
support
required
object
url
required
string format: uri
email
required
string format: email
Examplegenerated
{ "appleDeviceModel": "example", "os": "example", "latestVersion": "example", "updatePosted": "example", "updateRequired": true, "errorMessage": "example", "support": { "url": "https://example.com", "email": "hello@example.com" }}No OS found for the specified device model.
Media typeapplication/json
object
status
required
string
message
required
string
Example
{ "status": "error"}Failed to fetch data from Apple’s servers.
Media typeapplication/json
object
status
required
string
message
required
string
Example
{ "status": "error"}
